### Method

# Clutter Actor set_x

#### Declaration [src]

    void
    clutter_actor_set_x (
      ClutterActor* self,
      gfloat x
    )

#### Description [src]

Sets the actor’s X coordinate, relative to its parent, in pixels.

Overrides any layout manager and forces a fixed position for the actor.

The `ClutterActor:x` property is animatable.

Sets property | `Clutter.Actor:x`

#### Parameters

`x`

  Type: `gfloat`

  The actor’s position on the X axis.